Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class AndFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.AndFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, ConditionalFileFilter, IOFileFilter

    public class AndFileFilter

extends AbstractFileFilter
implements ConditionalFileFilter, Serializable

A `FileFilter` providing conditional AND logic across a list of file filters. This filter returns `true` if all filters in the list return `true`. Otherwise, it returns `false`. Checking of the file filter list stops when the first filter returns `false`.

Since:
  Commons IO 1.0
Version:
  $Revision: 1005099 $ $Date: 2010-10-06 17:13:01 +0100 (Wed, 06 Oct 2010) $
Author:
  Steven Caswell
See Also:
  `FileFilterUtils.and(IOFileFilter...)`, Serialized Form

Constructor Summary
`AndFileFilter()` Constructs a new instance of `AndFileFilter`.
`AndFileFilter(IOFileFilter filter1, IOFileFilter filter2)` Constructs a new file filter that ANDs the result of two other filters.
`AndFileFilter(List<IOFileFilter> fileFilters)` Constructs a new instance of `AndFileFilter` with the specified list of filters.

Method Summary
`boolean` | `accept(File file)` Checks to see if the File should be accepted by this filter.
`boolean` | `accept(File file, String name)` Checks to see if the File should be accepted by this filter.
`void` | `addFileFilter(IOFileFilter ioFileFilter)` Adds the specified file filter to the list of file filters at the end of the list.
`List<IOFileFilter>` | `getFileFilters()` Returns this conditional file filter's list of file filters.
`boolean` | `removeFileFilter(IOFileFilter ioFileFilter)` Removes the specified file filter.
`void` | `setFileFilters(List<IOFileFilter> fileFilters)` Sets the list of file filters, replacing any previously configured file filters on this filter.
`String` | `toString()` Provide a String representaion of this file filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndFileFilter

    public AndFileFilter()

  Constructs a new instance of `AndFileFilter`.

  Since:
    Commons IO 1.1

### AndFileFilter

    public AndFileFilter(List<IOFileFilter> fileFilters)

  Constructs a new instance of `AndFileFilter` with the specified list of filters.

  Parameters:
    `fileFilters` - a List of IOFileFilter instances, copied, null ignored
  Since:
    Commons IO 1.1

### AndFileFilter

    public AndFileFilter(IOFileFilter filter1,
                         IOFileFilter filter2)

  Constructs a new file filter that ANDs the result of two other filters.

  Parameters:
    `filter1` - the first filter, must not be null
    `filter2` - the second filter, must not be null
  Throws:
    `IllegalArgumentException` - if either filter is null

Method Detail

### addFileFilter

    public void addFileFilter(IOFileFilter ioFileFilter)

  Adds the specified file filter to the list of file filters at the end of the list.

  Specified by:
    `addFileFilter` in interface `ConditionalFileFilter`
  Parameters:
    `ioFileFilter` - the filter to be added

### getFileFilters

    public List<IOFileFilter> getFileFilters()

  Returns this conditional file filter's list of file filters.

  Specified by:
    `getFileFilters` in interface `ConditionalFileFilter`
  Returns:
    the file filter list

### removeFileFilter

    public boolean removeFileFilter(IOFileFilter ioFileFilter)

  Removes the specified file filter.

  Specified by:
    `removeFileFilter` in interface `ConditionalFileFilter`
  Parameters:
    `ioFileFilter` - filter to be removed
  Returns:
    `true` if the filter was found in the list, `false` otherwise

### setFileFilters

    public void setFileFilters(List<IOFileFilter> fileFilters)

  Sets the list of file filters, replacing any previously configured file filters on this filter.

  Specified by:
    `setFileFilters` in interface `ConditionalFileFilter`
  Parameters:
    `fileFilters` - the list of filters

### accept

    public boolean accept(File file)

  Checks to see if the File should be accepted by this filter.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    true if this file matches the test

### accept

    public boolean accept(File file,
                          String name)

  Checks to see if the File should be accepted by this filter.

  Specified by:
    `accept` in interface `FilenameFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the directory File to check
    `name` - the filename within the directory to check
  Returns:
    true if this file matches the test

### toString

    public String toString()

  Provide a String representaion of this file filter.

  Overrides:
    `toString` in class `AbstractFileFilter`
  Returns:
    a String representaion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.